<?php
/**
 * Block Patterns
 *
 * @package building_architect
 * @since 1.0
 */

function building_architect_register_block_patterns() {
	$building_architect_block_pattern_categories = array(
		'building-architect' => array( 'label' => esc_html__( 'Building Architect', 'building-architect' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'building-architect' ) ),
	);

	$building_architect_block_pattern_categories = apply_filters( 'building_architect_building_architect_block_pattern_categories', $building_architect_block_pattern_categories );

	foreach ( $building_architect_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'building_architect_register_block_patterns', 9 );